Package ru.bitel.oss.systems.inventory.product.common.event

# Class ProductPeriodModifyEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.product.common.event.ProductPeriodModifyEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ProductPeriodModifyEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductPeriodModifyEvent​(int moduleId, int contractId, int userId, ProductSpec productSpec, Product product, ProductPeriod oldPeriod, ProductPeriod newPeriod)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ProductPeriod` | `getNewPeriod()` |
  `ProductPeriod` | `getOldPeriod()` |
  `Product` | `getProduct()` |
  `ProductSpec` | `getProductSpec()` |
  `void` | `setProduct​(Product product)` |
  `void` | `setProductSpec​(ProductSpec productSpec)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductPeriodModifyEvent

    public ProductPeriodModifyEvent​(int moduleId, int contractId, int userId, ProductSpec productSpec, Product product, ProductPeriod oldPeriod, ProductPeriod newPeriod)

- ## Method Details

  - ### getProductSpec

    public ProductSpec getProductSpec()

  - ### setProductSpec

    public void setProductSpec​(ProductSpec productSpec)

  - ### getProduct

    public Product getProduct()

  - ### setProduct

    public void setProduct​(Product product)

  - ### getOldPeriod

    public ProductPeriod getOldPeriod()

  - ### getNewPeriod

    public ProductPeriod getNewPeriod()